Fwd: Notice to packagers: LiVES 1.3.4 released

Harry Rickards harry at linux.com
Mon Jul 5 15:48:26 UTC 2010

Sorry everyone, I don't have time to package at the moment.

---------- Forwarded message ----------
From:  <salsaman at xs4all.nl>
Date: 5 July 2010 02:06
Subject: Notice to packagers: LiVES 1.3.4 released
To: joao.pinto at getdeb.net, barninger at fairfieldcomputers.com,
lu_zero at gentoo.org, encelo at users.sourceforge.net, ualeitao at gmail.com,
hrickards at l33tmyst.com, klaatu at linuxcranks.info, info at bandshed.net

This message is intended for packagers of LiVES
(http://lives.sourceforge.net). Please forward as appropriate. Please let
me know if any addresses should be added or removed from this list.

Please NOTE: since LiVES 1.1.3, it is now *highly recommended* that LiVES
be built with libpulse support.

NOTE 2: IMPORTANT ! if you are building LiVES using ubuntu dpkg,
a change is needed to the "rules" file, see here:
failure to do so will result in badly broken builds.
(debian dpkg does not have this problem)

Hi all,
I have released LiVES 1.3.4. This version provides near instant file
opening/seeking in ogg/dirac files, fixes an installation/troubleshooting
bug which mis-diagnosed png/alpha support in mplayer and adds a new
effect/generator "scribbler".

Here is the full ChangeLog for this version:

Minor a/v sync fixes.
Add more formats to x264 encoder (needs testing).
Add experimental webm encoding support in ffmpeg_encoder.
Fix crash when right clicking in multitrack with no clips loaded.
Const correctness in code (Penkov)
Fix possible crash in rendered generators, and add them to crash recovery.
Thread context fix for gtk+ 2.22 and higher.
Fix startup mplayer png/alpha test.
Fix end image size problem (regression).
Updates to decoder plugins (make threadsafe).
Add plugin decoder support for ogg/dirac files.
Faster seeking in ogg/theora files.
Apply theming to the Preferences dialog (Kolga)
Move weed palette definitions into weed-palettes.c
Code cleanup - use enums instead of #defines where possible.
Add new scribbler plugin (Penkov)
Initial translation to Croatian.
Updated translations to Hebrew, Polish, Turkish, Russian and Italian.

Thanks to Aleksij Kolga and Aleksij Penkov and others for their

(source/bzip2, 2.9 MB)

(source/gzip , 3.9 MB)


Hash: SHA1

57f13a864ee869be673cab9bd7518b821056b235  LiVES-1.3.4.tar.bz2
c1cb448e659d3cbcbf308ada469ab9f89c1ed286  LiVES-1.3.4.tar.gz

Version: GnuPG v1.4.10 (GNU/Linux)


using gpg key with fingerprint found on

Enjoy !


Packaging notes (please read CAREFULLY !):

1) Mandatory dependencies include *at least*:
GTK+ (>=2.14) + development libs
gdk-pixbuf-loaders + development libs
gettext + development libs

mplayer with jpeg/png output support
mencoder with jpeg/png input support (preferably with x264 and dirac
support) imageMagick
sox (*with* libsox-fmt-all !)

2) *Highly* Recommended build-dependencies include:
libpulse, libjack, libSDL, mjpegtools, libogg, libtheora, libdv,
libraw1394, libavc1394, liboil and libasound2.

(For compiling you should have development versions of these libraries
installed. Check the output of ./configure carefully for missing optional

3) *Highly* Recommended runtime dependencies include:
xwininfo, pulseaudio/libpulse, jackd, libSDL, mjpegtools, libogg,
libtheora, theora-bin, libvorbis, libasound2, libdv, mkvtoolnix,
libmatroska, ogmtools, dvgrab, libraw1394, libavc1394,
libdv2-apps/libdv-bin, cdda2wav, lame, python, x264, liboil.

libpulse is mandatory if compiled with libpulse-dev
libjack is mandatory if compiled with libjack-dev
ditto for libasound2, libdv, libmjpegtools, libraw1394, libavc1394 and

4) libtheora packages should install the binary "encoder_example" (or
"theora_encoder_example"). Please communicate this to your libtheora
packager !!!!! (Note some distros now have a theora-bin package. Thankyou

5) you may wish to install/build a package for frei0r before compiling
LiVES. LiVES can use all of these plugins. Frei0r can be downloaded from:

For more information on frei0r, see: http://www.piksel.org/frei0r

Note: frei0r packages are currently *not* endian-safe, thus they should
not be dependencies on little endian architectures (e.g. ppc)

Harry Rickards - harry at linux.com
Vote Lib Dem - Building a fairer Britain - http://libdems.org.uk

More information about the pkg-multimedia-maintainers mailing list